Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.log
Class LogEntry

    java.lang.Object
      |
      +--com.compoze.collab.log.LogEntry

public class LogEntry
extends java.lang.Object

This class is a value object that contains the information needed for an entry in the log. It is instantiated once for each logger and re-used.

Method Summary
`java.lang.String` | `getAdminMessage()` Gets the administrator message.
`java.lang.Object[]` | `getArguments()` Gets the values for the arguments to the log entry message.
`ILogContext` | `getContext()` Gets the log context.
`java.lang.String` | `getHost()` Gets the host that the log message was created on.
`java.lang.String` | `getKey()` Gets the key for the log entry message in the resource bundle.
`Logger` | `getLogger()` Gets the logger that created the entry.
`LogLevel` | `getLogLevel()` Gets the log level of the entry.
`java.lang.String` | `getProgrammerMessage()` Gets the programmer message.
`java.lang.String` | `getThreadName()` Gets the name of the thread that created the log entry.
`java.lang.Throwable` | `getThrowable()` Gets the `Throwable` included with the log message.
`java.util.Date` | `getTime()` Gets the time that the log entry was created.
`java.lang.String` | `getUserMessage()` Gets the user message.
`boolean` | `isExceptionEntry()` Determines if the entry stores an exception.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getThrowable

    public java.lang.Throwable getThrowable()

  Gets the `Throwable` included with the log message.
  Returns:
    the throwable

### getProgrammerMessage

    public java.lang.String getProgrammerMessage()

  Gets the programmer message.
  Returns:
    the programmer message

### getAdminMessage

    public java.lang.String getAdminMessage()

  Gets the administrator message.
  Returns:
    the admin message

### getUserMessage

    public java.lang.String getUserMessage()

  Gets the user message.
  Returns:
    the user message

### getLogger

    public Logger getLogger()

  Gets the logger that created the entry.
  Returns:
    the logger

### getContext

    public ILogContext getContext()

  Gets the log context.
  Returns:
    the log context

### getLogLevel

    public LogLevel getLogLevel()

  Gets the log level of the entry.
  Returns:
    the log level

### isExceptionEntry

    public boolean isExceptionEntry()

  Determines if the entry stores an exception.
  Returns:
    `true` if the entry stores an exception

### getKey

    public java.lang.String getKey()

  Gets the key for the log entry message in the resource bundle.
  Returns:
    the log entry message key

### getArguments

    public java.lang.Object[] getArguments()

  Gets the values for the arguments to the log entry message.
  Returns:
    the arguments (or `null` if there are no arguments)

### getTime

    public java.util.Date getTime()

  Gets the time that the log entry was created.
  Returns:
    the time

### getThreadName

    public java.lang.String getThreadName()

  Gets the name of the thread that created the log entry.
  Returns:
    the name of the thread

### getHost

    public java.lang.String getHost()

  Gets the host that the log message was created on.
  Returns:
    the host

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.